Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.process
Class TimePoint

    java.lang.Object
      ix.icore.process.TimePoint

Direct Known Subclasses:
  PNode, PNodeEnd

    public class TimePoint

extends java.lang.Object

Field Summary
`int` | `tpn_mark`

Constructor Summary
`TimePoint()`
`TimePoint(long min, long max)`

Method Summary
`void` | `addPostConstraint(TimePointNet.TimeConstraint c)`
`void` | `addPreConstraint(TimePointNet.TimeConstraint c)`
`long` | `getMaxTime()`
`long` | `getMinTime()`
`java.util.List` | `getPostConstraints()`
`java.util.List` | `getPreConstraints()`
`boolean` | `hasUnboundedMax()`
`void` | `removePostConstraint(TimePointNet.TimeConstraint c)`
`void` | `removePreConstraint(TimePointNet.TimeConstraint c)`
`void` | `setMaxTime(long t)`
`void` | `setMinTime(long t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tpn_mark

    public int tpn_mark

Constructor Detail

### TimePoint

    public TimePoint()

### TimePoint

    public TimePoint(long min,
                     long max)

Method Detail

### getMinTime

    public long getMinTime()

### setMinTime

    public void setMinTime(long t)

### getMaxTime

    public long getMaxTime()

### setMaxTime

    public void setMaxTime(long t)

### hasUnboundedMax

    public boolean hasUnboundedMax()

### getPreConstraints

    public java.util.List getPreConstraints()

### getPostConstraints

    public java.util.List getPostConstraints()

### addPreConstraint

    public void addPreConstraint(TimePointNet.TimeConstraint c)

### addPostConstraint

    public void addPostConstraint(TimePointNet.TimeConstraint c)

### removePreConstraint

    public void removePreConstraint(TimePointNet.TimeConstraint c)

### removePostConstraint

    public void removePostConstraint(TimePointNet.TimeConstraint c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD